import { encode } from 'reshape-preact-components'
import data from './data/data'

const props = {}
props.default = [
  {
    name: '_data',
    type: 'json',
    description: 'An object containing a lot of navigation data',
    value: encode(data)
  },
  {
    name: 'title',
    type: 'string',
    description: 'Site title displayed to the right of the main logo',
    value: 'Learn'
  },
  {
    name: 'title_url',
    type: 'string',
    description: 'URL that the title should link to',
    value: 'https://learn.hashicorp.com'
  },
  {
    name: 'home_url',
    type: 'string',
    description: 'The URL that the main logo should link to (aka "Home")',
    value: 'https://www.hashicorp.com'
  }
]

props.name = 'Mega Nav'
export default props
